export type SocketStore = {
    // 連接狀態
    isConnected: boolean;
    // 內容
    message: string;
    // 重新連接錯誤
    reconnectError: boolean;
    // 心跳消息發送時間
    heartBeatInterval: number;
    // 心跳定時器
    heartBeatTimer: number;
  };
  
  export type socketType = {
    $connect: () => void;
  };